Bug 47648

Summary: [EasyHack] Create VirtualBox for bibisecting
Product: LibreOffice Reporter: Björn Michaelsen <bjoern.michaelsen>
Component: LibreofficeAssignee: Korrawit Pruegsanusak <detective.conan.1412>
Status: RESOLVED FIXED QA Contact: Not Assigned <libreoffice-bugs>
Severity: normal    
Priority: medium CC: thb
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard: EasyHack DifficultyBeginner TopicQA
i915 platform: i915 features:

Description Björn Michaelsen 2012-03-21 06:49:24 UTC
http://wiki.documentfoundation.org/QA/HowToBibisect

describes how to "binary bisect" a LibreOffice install, which help s developers to corner a regression to exactly the change that introduced the trouble.

It would be great to have this in a ready-to-go VirtualBox image, so that for example testers on Windows can contribute here too.
Comment 1 Elton Chung 2012-04-16 10:32:16 UTC
I would like to work on this.
Comment 3 Korrawit Pruegsanusak 2012-05-07 01:56:47 UTC
From http://wiki.documentfoundation.org/Development/Easy_Hacks :
"If a task has an owner without an update in a week, feel free to notify them that you're taking that on yourself ..."

So, I'm taking this :)
Comment 4 Korrawit Pruegsanusak 2012-05-08 04:58:32 UTC
Now finished :) Ubuntu 12.04 x64 with ready-to-use bibisect 3.5, 3.6 2012-04-28, and LibreOffice 3.5.2 installed by default with Ubuntu.

The question is, where should I upload it? It is 2.62 GB.
Comment 5 Björn Michaelsen 2012-05-08 17:58:05 UTC
Hi Korrawit,
great to hear! I wonder about bibisect-3.5 working on the 12.04 LTS release though, IIRC those were not compatible (IIRC different libjpeg?). Did you do anything to fix them up?

I wanted to rebuild the ~50 bibisect-3.5 builds on the 12.04 LTS and thus make us having _one_ bibisect covering the whole range from ~summer last year up till now. But if you got this running on 12.04, I could spare myself that effort.
Comment 6 Korrawit Pruegsanusak 2012-05-08 20:32:17 UTC
Bibisect 3.5 really has problem in 12.04, the console shouted libjpeg62.so (or somesuch) not found, so I installed libjpeg62 and it just works!

And bug 48348 comment 3 is bibisected in 12.04 => I assume it really works :)
Comment 7 Björn Michaelsen 2012-05-18 10:48:28 UTC
Adding thorsten in CC to get some comfy webspace on TDF infra.
Comment 9 Korrawit Pruegsanusak 2012-05-30 08:35:14 UTC
Thanks Thorsten for adding to TDF infra at http://dev-builds.libreoffice.org/bibisect/

Mark as fixed. Will update wiki later.
Comment 10 Korrawit Pruegsanusak 2012-06-30 22:20:57 UTC
For a record, the Ubuntu user account is:

username: l (the letter L lowercase)
password: 12345